package com.ruoyi.ibs.task.service;


import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.ibs.task.domain.dto.AppointmentDTO;
import com.ruoyi.ibs.task.domain.entity.AppointmentInfo;
import com.ruoyi.ibs.task.domain.entity.SecondVisit;
import com.ruoyi.ibs.task.domain.vo.ProductInfoVO;
import com.ruoyi.ibs.task.domain.vo.SearchAppointmentCustVO;
import com.ruoyi.ibs.task.domain.vo.SecondVisitVO;

import java.util.Date;
import java.util.List;


public interface AppointmentService {

    int appointmentCust(AppointmentDTO appointmentDTO);

    SearchAppointmentCustVO searchAppointmentCust(String custIdc);

    String claimCust(String custIdc);

    List<AppointmentInfo> searchClaimCustList(String custIdc);

    List<AppointmentInfo> appointmentCustList();

    List<AppointmentInfo> claimCustList();

    List<ProductInfoVO> getCustProdDetail(String custIdc);

    List<ProductInfoVO> getclaimCustDetail(String custIdc);

    List<ProductInfoVO> getAllProds();

    int secondVisit(AppointmentDTO appointmentDTO, Date visitTime);

    List<SecondVisitVO> getTodaySecondVisits();

    int resourceAssist(AppointmentDTO appointmentDTO, String userName, String nickName);

    List<SecondVisitVO> getResourceAssistList();

    int resourceAssistFeedback(SecondVisit secondVisit);
}
